
package de.ivu.elect.presentation.staat;

import javax.inject.Named;

import de.ivu.elect.business.staat.entity.Staat;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;
import de.ivu.elect.presentation.security.AbstractGebietSecurityFilter;

@OnlineHilfeId(value = "318", mehrfachVergebenOk = true)
@Named(AbstractStaatSearchView.COMPONENT_NAME)
public class StaatSearchView extends AbstractStaatSearchView {

  private static final long serialVersionUID = 1L;

  public StaatSearchView() {
    super();
  }

  @Override
  protected AbstractGebietSecurityFilter<Staat> getGebietSecurityFilter() {
    return KEIN_GEBIET_SECURITY_FILTER;
  }

  /**
   * @deprecated To be removed...
   * @see AbstractElectSearchView#presetSearchParameters
   */
  @Deprecated
  @Override
  public void presetSearchParameters() {
    // To be removed...
  }

  @Override
  public void addProperties(FormBuilder formBuilder) {
    addProperties(formBuilder, new StaatSearchParametersProperties(searchParameters));
  }

  protected void addProperties(FormBuilder formBuilder, StaatSearchParametersProperties staatSearchParametersProperties) {
    formBuilder.addProperty(staatSearchParametersProperties.getStaatNameProperty());
    formBuilder.addProperty(staatSearchParametersProperties.getStaatStaatsangehoerigkeitProperty());
    formBuilder.addProperty(staatSearchParametersProperties.getStaatCodeProperty());
  }
}
